| Version: 3.3.1

Public Member Functions | List of all members
wxStdInputStreamBuffer Class Reference
Class List by Category » Streams

`#include <wx/stdstream.h>`

Inheritance diagram for wxStdInputStreamBuffer:
[legend]

## Detailed Description

wxStdInputStreamBuffer is a std::streambuf derived stream buffer which reads from a wxInputStream.

Example:

wxFFileInputStream file("input.txt.gz");
wxZlibInputStream gzipInput(file, wxZLIB_GZIP);
wxStdInputStreamBuffer gzipStreamBuffer(gzipInput);
// redirect std::cin to read from compressed file
std::streambuf* streamBufferOld = std::cin.rdbuf(&gzipStreamBuffer);
// prompt for integer
int number;
std::cout << "Enter an integer: " << std::flush;
std::cin >> number;
std::cout << std::endl;
std::cout << "You entered the integer " << number << "." << std::endl;
// restore std::cin
std::cin.rdbuf(streamBufferOld);
wxFFileInputStream
This class represents data read in from a file.
Definition: wfstream.h:284
wxStdInputStreamBuffer
wxStdInputStreamBuffer is a std::streambuf derived stream buffer which reads from a wxInputStream.
Definition: stdstream.h:42
wxZlibInputStream
This filter stream decompresses a stream that is in zlib or gzip format.
Definition: zstream.h:111
endl
wxTextOutputStream & endl(wxTextOutputStream &stream)
Writes '\n' to stream.
wxZLIB_GZIP
@ wxZLIB_GZIP
gzip header and checksum, requires zlib 1.2.1+
Definition: zstream.h:21

##

Library: wxBase
Category: Streams

See also
  wxInputStream, wxStdInputStream

## Public Member Functions
| wxStdInputStreamBuffer (wxInputStream &stream)
| Creates a std::steambuf derived stream buffer which reads from a wxInputStream. More...
virtual | ~wxStdInputStreamBuffer ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxStdInputStreamBuffer()

wxStdInputStreamBuffer::wxStdInputStreamBuffer | ( | wxInputStream & | stream | ) |

Creates a std::steambuf derived stream buffer which reads from a wxInputStream.

Parameters

  stream | Stream to read from.

## ◆ ~wxStdInputStreamBuffer()

virtual wxStdInputStreamBuffer::~wxStdInputStreamBuffer | ( |  | ) |
| virtual

Destructor.